Subject: RE: [Sipping] Last Call: draft-ietf-sipping-dialogusage (Multiple Dialog Usages in the Session Initiation Protocol) to Informational RFC

From: "Ian Elz \(CV/ETL\)" <[email-masked]>
Date: Tue, 8 May 2007 10:29:05 +0200

Paul,

I am not sure that there will be any major issues but the work to
understand how b2buas need to behave in these situations is just
beginning.

The issue with Replaces is one area which need to be explored as
indicated in the draft. While the draft indicates that the issue of
Replaces and multiple dialog usages is not understood as Replaces can
only be a header to an INVITE and then INVITE Replaces must be a new
usage as you can't have more than a single INVITE usage on a dialog.

We have to examine how the Replaces header is passed, specifically in
the Refer-To header and how the mapping of the Replaces within this
header is performed, if needed. The whole passing of REFER in a separate
dialog needs to be examined, specifically how the b2bua handles a REFER
on a new dialog and how you determine the intent of the usage, e.g. is
the REFER an INVITE to add a party to a conference or is this a
transfer. The means by which the b2bua handles a REFER with a
target-dialog header needs to be understood.

There may not be any specific issues and if this is found to be so then
the additional information can be added to the dialogusage draft. If
there are specific issues then these can also be included. 

I just think that publishing an informational RFC while there is ongoing
study is premature.

Ian Elz

Office: + 44 24 764 35256
gsm: +44 7801723668
[email-masked]

-----Original Message-----
From: Paul Kyzivat [mailto:[email-masked]] 
Sent: 04 May 2007 17:33
To: Ian Elz (CV/ETL)
Cc: [email-masked]; [email-masked]
Subject: Re: [Sipping] Last Call: draft-ietf-sipping-dialogusage
(Multiple Dialog Usages in the Session Initiation Protocol) to
Informational RFC

Ian,

Can you say more about what issues you see presented by B2BUAs when
choosing between a multiple-usage dialog and several single-usage
dialogs?

	Thanks,
	Paul

Ian Elz (CV/ETL) wrote:
>  
> I have noted the last call on this draft and the proposal to raise the

> draft to Informational RFC status.
> 
> While this draft gives a very detailed view of the issues relating to 
> multiple dialog usage it also provides recommendations in areas where 
> there is no or little examination of specific areas.
> 
> In section 5.7 Replacing Usages there is the statement:
> 
>      ...the interactions between Replaces and multiple dialog usages
>    have not been well explored.  More discussion of this topic is
>    needed.  Implementers should avoid this scenario completely.  
> 
> I do not believe that an informational RFC should include 
> recommendations based upon little or no examination or lack of 
> understanding of specific areas.
> 
> The draft as a whole recommends avoiding multiple dialog usage as it 
> may be difficult to implement the required logic while only offering 
> alternatives in simple network cases. With new ietf draft documents 
> being published which highlight the impact on the network of B2BUA 
> nodes I believe that there should be some examination of the impact of

> proposing that each new dialog usage be on a new dialog will have on 
> networks which include B"B User Agents.
> 
> If recommendations are made which influence vendors to only develop 
> user agents which support single usage dialogs we may come to the 
> situation where B2BUAs cannot be used in the network. This would 
> prevent specific security measures such as identity hiding from 
> untrusted networks as it would not be possible to map Contact headers.

> It would also prevent topology hiding. Preventing both of these 
> measures could result increase the prevalence of denial of service and
other attacks on the network.
> 
> While the proposals in this draft may prove to be a worthwhile 
> addition to the knowledge of dialog and usage handling in the internet

> I believe that raising this draft to RFC status before the relevant 
> studies have been undertaken in the associated areas, which are 
> currently being studied, is premature.
> 
> Ian Elz
> 
> Office: + 44 24 764 35256
> gsm: +44 7801723668
> [email-masked]
> 
> ----------------------------------------------------------------------
> --
> -
> Message: 3
> Date: Thu, 26 Apr 2007 09:39:45 -0400
> From: The IESG <[email-masked]>
> Subject: [Sipping] Last Call: draft-ietf-sipping-dialogusage (Multiple
> 	Dialog  Usages in the Session Initiation Protocol) to
Informational
> 	RFC
> To: IETF-Announce <[email-masked]>
> Cc: [email-masked]
> Message-ID: <[email-masked]>
> 
> The IESG has received a request from the Session Initiation Proposal 
> Investigation WG (sipping) to consider the following document:
> 
> - 'Multiple Dialog Usages in the Session Initiation Protocol '
>    <draft-ietf-sipping-dialogusage-06.txt> as an Informational RFC
> 
> The IESG plans to make a decision in the next few weeks, and solicits 
> final comments on this action.  Please send substantive comments to 
> the [email-masked] mailing lists by 2007-05-10. Exceptionally, comments

> may be sent to [email-masked] instead. In either case, please retain 
> the beginning of the Subject line to allow automated sorting.
> 
> The file can be obtained via
> http://www.ietf.org/internet-drafts/draft-ietf-sipping-dialogusage-06.
> tx
> t
> 
> 
> IESG discussion can be tracked via
> https://datatracker.ietf.org/public/pidtracker.cgi?command=view_id&dTa
> g=
> 14041&rfc_flag=0
> 
> 
> 
> 
> 
> 
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP Use 
> [email-masked] for questions on current sip Use 
> [email-masked] for new developments of core SIP
> 

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: "Ian Elz \(CV/ETL\)" <[email-masked]>
Date: Tue, 8 May 2007 10:29:05 +0200

Paul,

Ian Elz

-----Original Message-----
From: Paul Kyzivat [mailto:[email-masked]] 
Sent: 04 May 2007 17:33
To: Ian Elz (CV/ETL)
Cc: [email-masked]; [email-masked]
Subject: Re: [Sipping] Last Call: draft-ietf-sipping-dialogusage

Ian,

	Thanks,
	Paul

Informational